UserExperienceCustomization / Client / update_account_customizations
update_account_customizations¶
- UserExperienceCustomization.Client.update_account_customizations(**kwargs)¶
Updates one or more account customization settings. You can update account color, visible services, and visible Regions in a single request. Only the settings that you include in the request body are modified. Omitted settings remain unchanged. To reset a setting to its default behavior, set the value to
nullfor visible Regions and visible services, ornonefor account color. This operation is idempotent.Note
The
visibleServicesandvisibleRegionssettings control only the appearance of services and Regions in the Amazon Web Services Management Console. They do not restrict access through the CLI, SDKs, or other APIs.See also: AWS API Documentation
Request Syntax
response = client.update_account_customizations( accountColor='none'|'pink'|'purple'|'darkBlue'|'lightBlue'|'teal'|'green'|'yellow'|'orange'|'red', visibleServices=[ 'string', ], visibleRegions=[ 'string', ] )
- Parameters:
accountColor (string) – The account color preference to set. Set to
noneto reset to the default (no color).visibleServices (list) –
The list of Amazon Web Services service identifiers to make visible in the Amazon Web Services Management Console. Set to
nullto reset to the default, which makes all services visible. For valid service identifiers, call ListServices.(string) –
visibleRegions (list) –
The list of Amazon Web Services Region codes to make visible in the Amazon Web Services Management Console. Set to
nullto reset to the default, which makes all Regions visible. For a list of valid Region codes, see Amazon Web Services Regions.(string) –
- Return type:
dict
- Returns:
Response Syntax
{ 'accountColor': 'none'|'pink'|'purple'|'darkBlue'|'lightBlue'|'teal'|'green'|'yellow'|'orange'|'red', 'visibleServices': [ 'string', ], 'visibleRegions': [ 'string', ] }
Response Structure
(dict) –
accountColor (string) –
The current account color preference after the update.
visibleServices (list) –
The current list of visible service identifiers after the update.
(string) –
visibleRegions (list) –
The current list of visible Region codes after the update.
(string) –
Exceptions